package com.ruoyi.iot.openfeign;

import com.ruoyi.iot.transdata.DataParam;
import com.ruoyi.iot.transdata.RpcResult;
import org.springframework.stereotype.Service;


/**
 *  利用feign 远程调用
 */
@Service
public class MsgService {

    public RpcResult sendMsg(DataParam dataParam){
        RpcResult rpcResult = FeginClientFactory.getFeginClient(FeginClientProxy.class, "http://113.141.88.28:8051").sendMsg(dataParam);
        return rpcResult;
    }

}
